> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ankra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Uninstall Cluster Addon Endpoint



## OpenAPI

````yaml https://platform.ankra.app/openapi.json delete /api/v1/org/clusters/imported/{cluster_id}/addons/{addon_resource_id}
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://platform.ankra.app
security: []
paths:
  /api/v1/org/clusters/imported/{cluster_id}/addons/{addon_resource_id}:
    delete:
      tags:
        - Imported Clusters
      summary: Uninstall Cluster Addon Endpoint
      operationId: >-
        uninstall_cluster_addon_endpoint_api_v1_org_clusters_imported__cluster_id__addons__addon_resource_id__delete
      parameters:
        - in: path
          name: cluster_id
          required: true
          schema:
            format: uuid4
            title: Cluster Id
            type: string
        - in: path
          name: addon_resource_id
          required: true
          schema:
            format: uuid4
            title: Addon Resource Id
            type: string
        - in: query
          name: delete
          required: false
          schema:
            default: false
            title: Delete
            type: boolean
        - in: query
          name: force
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Force
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - in: header
          name: x-ankra-organisation-id
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Ankra-Organisation-Id
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UninstallClusterAddonResult'
          description: Successful Response
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    UninstallClusterAddonResult:
      properties:
        commit_sha:
          anyOf:
            - type: string
            - type: 'null'
          title: Commit Sha
        commit_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Commit Url
        marked_for_uninstall:
          title: Marked For Uninstall
          type: boolean
      required:
        - marked_for_uninstall
      title: UninstallClusterAddonResult
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object

````